<?php

class Tag_CheckboxSimple extends Tag_Input
{
	public function __construct($name=NULL, $checked=false, $attributes=array())
	{
		parent::__construct($name, $attributes);
		$this->attr('type','checkbox');
		$this->attr('value', '1');
		$this->attr('ng-true-value', "1");
		$this->attr('ng-false-value', "0");

		if($checked)
		{
			$this->attr("checked", "checked");
		}
	}
}
